package intrinsic.flash.utils;

public interface IDataInput {

	/** Accessors */
//	public int bytesAvailable;
//	public int objectEncoding;
//	public String endian;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public int readUnsignedInt();
public String readUTF();
public double readDouble();
public int readShort();
public int readInt();
public int readUnsignedShort();
public int readUnsignedByte();
public boolean readBoolean();
public String readUTFBytes(int arg0);
public String readMultiByte(int arg0, String arg1);
public void readBytes(intrinsic.flash.utils.ByteArray arg0);
public void readBytes(intrinsic.flash.utils.ByteArray arg0, int arg1);
public void readBytes(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2);
public double readFloat();
public int readByte();
public Object readObject();

}
